@import url('https://fonts.googleapis.com/css2?family=Libre+Franklin:ital,wght@0,100..900;1,100..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap');

@import url("https://use.typekit.net/lvn7njv.css");

* {
    color: rgb(51, 51, 51);
    border: none;
    margin: 0;
    padding: 0;
    line-height: 1.5;
    text-decoration: none;
    text-rendering: optimizeLegibility;
    box-sizing: border-box;
    /* outline: 1px solid magenta; */
}

body {
    width: 100%;
    /* overflow-x: hidden; */
    margin: 0;
    padding: 0;
}

.container {
    width: 100%;
}

/* HEADER */

.header {
    width: 100%;
    padding: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 1rem;
    background: #FFF;
}

.logo-title {
    display: flex;
    flex-direction: column;
    width: 50%;
    gap: 1rem;
    justify-content: space-around;
    z-index: 1000;
}

.title {
    font-size: 1.25rem;
    font-weight: 400;
    font-family: "Source Serif 4", serif;
}

.stats {
    width: 50%;
    display: flex;
    justify-content: right;
    text-align: center;
    font-size: 1rem;
    gap: 1rem;
    font-family: "Source Serif 4", serif;
}

.stat {
    display: flex;
    align-items: center;
    justify-content: space-between;
    align-self: center;
    gap: 1rem;
    padding-left: 1rem;
    background: rgb(188, 223, 255);
    border-radius: 0.5rem;
    font-weight: 700;
}

.stat-title {
    text-align: right;
    font-size: 1rem;
    width: 6rem;
}

.counter {
    display: inline-block;
    padding: 0.5rem 1ch;
    font-size: 2rem;
    background: rgb(34, 34, 60);
    color: #FFF;
    border-radius: 0.5rem;
    font-family: "Libre Franklin";
    width: 6ch;
    text-align: center;
}

/* BODY */

#articles {
    display: flex;
    flex-direction: column;
}

.article {
    gap: 1rem;
    cursor: pointer;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-areas:
        "date headline"
        "date paragraph";
    align-items: flex-start;
    padding: 1rem 2rem;
}

.article:nth-of-type(odd) {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}

.article:last-of-type {
    margin-bottom: 2rem;
}

.article:hover {
    background: rgb(188, 223, 255);
}

.article:focus {
    outline: 3px solid rgb(34, 34, 60);
    outline-offset: -3px;
}

.col-date {
    grid-area: date;
}

.calendar {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 6rem;
    height: 6rem;
    border-radius: 0.5rem;
    justify-content: space-around;
    background: rgb(34, 34, 60);
}

.calendar * {
    font-family: "Libre Franklin";
    font-weight: 700;
    color: #FFF;
}

.calendar-day {
    font-size: 3rem;
    font-weight: 700;
    line-height: 100%;
}

.calendar-month {
    text-transform: uppercase;
    font-weight: 700;
    line-height: 100%;
}

.calendar-year {
    font-weight: 400;
    font-size: 0.75rem;
    line-height: 100%;
}

.col-headline {
    grid-area: headline;
}

.headline-title {
    font-size: 32px;
    font-family: "noto-serif", serif;
}

.col-paragraph {
    grid-area: paragraph;
    font-size: 17px;
    font-family: "Source Serif 4", serif;
}

#footer {
    bottom: 0;
    width: 100vw;
    position: fixed;
    background: #000;
    padding: 0.5rem 0;
}

#footer p,
#footer a {
    color: #FFF;
    font-weight: 700;
    font-family: sans-serif;
    text-decoration: none;
    font-size: 0.75rem;
    text-align: center;
}


/* MEDIA QUERY - TABLET */

@media (max-width: 1280px) {

    .logo-title {
        width: 100%;
        gap: 1rem;
        text-align: center;
    }

    .header {
        flex-direction: column;
        align-items: center;
    }

    .logo-title {
        width: 100%;
    }

    .stats {
        margin-top: 2rem;
        flex-direction: row;
        width: 100%;
        justify-content: space-evenly;
    }

    .headline-title {
        font-size: 1.5rem;
        font-weight: 700;
        line-height: 1.5;
        /* margin-bottom: 0.5rem; */
    }

}

/* MEDIA QUERY - MOBILE */

@media (max-width: 768px) {

    .header {
        max-width: 100%;
    }

    .article {
        grid-template-columns: auto 1fr;
        grid-template-areas:
            "date headline"
            "paragraph paragraph";
        padding: 1rem;
    }

    .title {
        font-size: 1.25rem;
    }

    .headline-title {
        font-size: 1.25rem;
    }

    .stats {
        margin-top: 1rem;
        flex-direction: column;
    }

    .stat {}

    .stat-title {
        width: 6rem;
    }

    .counter {
        gap: 0;
        flex-direction: column;
        width: 5ch;
        justify-content: space-between;
        text-align: center;
    }

}